## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# DecimalFormatCacheStruct Struct Reference

Collaboration diagram for DecimalFormatCacheStruct:

[legend]
List of all members.

## Public Member Functions

- DecimalFormatCacheStruct (MemoryManagerType &theManager, const XalanDecimalFormatSymbols &theDFS, DecimalFormatType *theFormatter)
- DecimalFormatCacheStruct (MemoryManagerType &theManager)
- DecimalFormatCacheStruct (const DecimalFormatCacheStruct &other, MemoryManagerType &theManager)

## Public Attributes

- XalanDecimalFormatSymbols m_DFS
- DecimalFormatType * m_formatter

## Constructor & Destructor Documentation

DecimalFormatCacheStruct::DecimalFormatCacheStruct | ( | MemoryManagerType & | theManager,
|  | const XalanDecimalFormatSymbols & | theDFS,
|  | DecimalFormatType * | theFormatter
| ) |

DecimalFormatCacheStruct::DecimalFormatCacheStruct | ( | MemoryManagerType & | theManager | ) |

DecimalFormatCacheStruct::DecimalFormatCacheStruct | ( | const DecimalFormatCacheStruct & | other,
|  | MemoryManagerType & | theManager
| ) |

## Member Data Documentation

XalanDecimalFormatSymbols DecimalFormatCacheStruct::m_DFS

DecimalFormatType* DecimalFormatCacheStruct::m_formatter

The documentation for this struct was generated from the following file:

- ICUFormatNumberFunctor.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.